﻿﻿.frontend-wrapper-div {
    width: 100%;
    height: 100%;
    margin: 0px;
    border: 0px;
    padding: 0px;
}

    .frontend-wrapper-div > iframe {
        width: 100%;
        height: 100%;
        margin: 0px;
        border: 0px;
        padding: 0px;
    }

.search-body {
    display: flex;
    flex-direction: row;
    flex-wrap: wrap;
    justify-content: space-between;
}

.search-bacsreportbody {
    display: flex;
    flex-direction: row;
    flex-wrap: wrap;
    justify-content: space-evenly;
}

.div-body {
    display: flex;
    flex-direction: column;
    align-items: flex-start;
    margin-right: 75px;
    margin-left: 35px;
}

#aw-search-body {
    justify-content: center;
}

#auddis-submission-search-body, #payment-submission-search-body {
    justify-content: space-evenly;
}

input[type="submit"].excel {
    padding-left: 22px;
    background: #777 url(/images/Icons/excel.gif) no-repeat 3px 9px;
}

html {
    height: 100%;
}

body {
    height: 100%;
    background: #f7f8fa;
    color: #666;
    font-size: 9pt;
    line-height: 14pt;
    font-family: Arial;
    margin: 0;
    height: 100%;
    display: block;
    right: 0;
    left: 0;
}

form {
    overflow: hidden;
    background: #f7f8fa;
}

#form1 {
    width: 100%;
}

#Main_ctl00_btnSearch, #Main_ctl00_btnShow, #Main_ctl00_btnRetrieveLatest {
    margin-top: 10px;
    margin-right: 20px;
}

#ctl08_ctl00_btnApply {
    
}

a {
    text-decoration: none;
    color: #555b70;
    font-size: 13px;
}

    a:hover {
        color: #295C59;
        font-weight: bolder;
    }

#Main_ctl00_btnForgottenLogInDetails {
    text-decoration: none;
    margin-right: 177px;
    color: #555b70;
    margin-left: 60%;
}

h2, h1 {
    height: 25px;
    color: #69768f;
    font-weight: bold;
    font-size: 14pt;
}

h2 {
    padding: 7px 10px 10px 15px;
    color: #295C59;
    text-transform: uppercase;
    font-weight: bold;
    width: 100%;
    border-left: 3px solid #295C59;
}

.disbursement-report-pdf h2 {
    height: 21px;
    border: solid 30px #f7f8fa;
    border-bottom: 1px solid #295C59;
    background: #f7f8fa no-repeat top right;
    color: #295C59;
    text-transform: uppercase;
    font-size: 16px;
    letter-spacing: 2px;
    padding: 7px 10px 10px 15px;
}


h3 {
    margin: 5px 0px;
    margin-bottom: 20px;
    color: #4b4e52;
    font-weight: bold;
    font-size: 13pt;
}

td {
    vertical-align: top;
}

/* ===========  search =========== */
    div .search .whole {
    clear: both;
    width: 100%;
}

/* ===========  Light search =========== */
div.light-search .item {
    float: left;
    width: 350px;
}

div.light-search .buttons {
    float: left;
    margin-top: -5px;
}

div.light-search .whole {
    clear: both;
    width: 100%;
}

/* =================== BANNER =============================== */
.website-banner {
    background-color: #fff;
    overflow-x: hidden;
}

    .website-banner .logo {
        float: right;
        width: 250px;
    }

    .website-banner .help {
        float: right;
        width: 30px;
        height: 30px;
        padding-left: 10px;
        padding-right: 10px;
        padding-top: 5px;
        padding-bottom: 5px;
        cursor: pointer;
    }

    .website-banner .notifications {
        float: right;
        width: 30px;
        height: 30px;
        padding-left: 10px;
        padding-right: 10px;
        padding-top: 5px;
        padding-bottom: 5px;
        cursor: pointer;
    }

    .website-banner .user-info {
        top: 0px;
        left: 10px;
        padding-left: 15px;
        width: 200px;
        border: 1px solid #75B7DA;
        background: #ECF6FF;
    }

    .website-banner .main-menu {
        background: #295C59;
        box-shadow: rgba(0, 0, 0, 0.16) 0px 0px 10px;
        height: 52px;
        display: flex;
        -webkit-box-align: center;
        align-items: center;
        justify-content: center;
        width: 100%;
        background-color: #295C59;
        box-sizing: border-box;
    }

.banner-wrapper {
    float: left;
    width: 100%;
    padding-left: 50px;
    display: block;
    -webkit-box-align: center;
    align-items: center;
    padding-left: 0;
    padding-right: 0;
    border-radius: 0;
    background-color: #fff;
    right: 0;
    left: 0;
    z-index: 1030;
    margin-bottom: 0;
    top: 0;
    overflow: auto;
    overflow-x: hidden;
}

    .banner-wrapper .logo {
        float: right;
        width: 300px;
    }


    .banner-wrapper .main-menu {
        padding-left: 50px;
        background: rgb(247, 248, 250);
        box-shadow: rgba(0, 0, 0, 0.16) 0px 2px 3px;
        height: 150px;
        display: flex;
        -webkit-box-align: center;
        align-items: center;
        width: 100%;
    }

.banner-right {
    float: right;
    margin-top: 10px;
    margin-right: 15px;
    margin-bottom: 10px;
    width: auto;
    display: flex;
    flex-direction: row-reverse;
    align-items: center;
    min-width: 0;
}

.banner-buttons {
    display: flex;
    flex-direction: column;
}

.banner-left {
    float: left;
    margin-top: 10px;
    margin-bottom: 10px;
    padding-left: 25px;
    display: flex;
    flex-direction: row;
    align-items: center;
    width: auto;
    min-width: 0;
}

.list-answers .item .item-body .label{
    width: 30%;
    text-align: left;
    padding-right: 5%;
}

.list-answers .item .item-body .input {
    margin: 0;
    width: 50%;
    text-align: left;
    padding-right: 5%;
}

.list-answers .item .item-body .buttons {
    margin: 0;
    padding: 0;
    width: 10%
}

.list-answers .item .item-body{
    display: flex;
    width: 100%;
    margin: 0;
    padding: 5px 0;
}

.list-answers .item .item-body {
    border-bottom: 1px solid #295C59;
}

    .list-answers .item .item-body:hover {
        display: flex;
        width: 100%;
        background-color: #fffce6;
    }

.group-selector {
    float: left;
}

    .group-selector .form {
        display: flex;
        flex-wrap: nowrap;
        align-items: center;
    }

        .group-selector .form .item .label {
            width: 100px;
            color: #295C59;
        }

        .group-selector .form .item .label + .input {
            margin-left: 0px;
        }

        .group-selector .form .item .item-body {
            display: flex;
            flex-direction: row;
            /*margin-bottom: 10px;*/
            /*margin-right: 10px;*/
            align-items: center;
        }

        .group-selector .form .buttons {
            margin-left: 0px;
            margin-right: 0px;
            margin-top: 0px;
            margin-bottom: 0px;
        }

/* =================== FOOTER =============================== */
.website-footer {
    clear: both;
    padding: 40px 10px 5px 10px;
    height: 26px;
    text-align: center;
    display: flex;
    align-items: center;
    justify-content: center;
    background: #f7f8fa;
}

    .website-footer a {
        color: darkslategrey;
        text-decoration: underline;
    }

/* standard-box */
.standard-box {
    display: block;
    margin: 0px;
    margin-bottom: 10px;
    width: 100%;
    border: 1px solid #aaaaaa;
}

    .standard-box .item {
        clear: left;
        margin-left: 8px;
        width: 100%;
    }

        .standard-box .item .label {
            float: left;
            margin-left: 10px;
            width: 150px;
        }

        .standard-box .item .value {
            float: left;
        }

    .standard-box h3 {
        margin-bottom: 10px;
        padding: 0px 10px 9px 10px;
        background: url(/App_Templates/FrontEnd/images/Grid.Header.jpg) repeat-x;
        color: #444;
        font-size: 10pt;
    }

    .standard-box p {
        margin: 10px;
    }

div.standard-box div.item div.whole {
    float: none;
    width: 100%;
}

div.standard-box div.buttons {
    margin-right: 10px;
    width: 50%;
}

/* ============= Login form ============= */
.login-form {
    width: 800px;
}
    .login-form .form {
        width: 100%;
    }

        .login-form .form .buttons {
            margin-right: 20px;
            margin-left: 0px;
        }

/*impersonation-toolbar*/
.impersonation-toolbar {
    padding: 15px;
    margin: 4px;
}

/* ======== User Welcome Box ======= */
.user-welcome-box {
    float: left;
    margin-top: 10px;
    padding: 5px;
    background-color: Transparent;
    color: #295C59;
    font-weight: bold;
    font-size: 16px;
}

    .user-welcome-box .buttons {
        margin: 0;
        color: #295C59;
        text-align: left;
        margin-top: 7px;
        font-size: 14px;
    }

    .user-welcome-box a {
        color: #295C59;
        text-decoration: none;
        font-weight: normal;
    }

        .user-welcome-box a:hover {
            text-decoration: underline;
        }

.disabled-email-wrapper {
    width: 400px;
}

.select-contracts-check {0
    float: left;
    margin-left: 150px;
}

.lnk-registration {
    display: none;
    float: left;
    margin-left: 10px;
    margin-top: 2px;
    border: 1px solid #295C59;
    padding: 10px;
}
}

.main-body {
    min-height: 601px;
}

    .main-body .main-body {
        position: relative;
        left: -20px;
        min-height: 500px;
        background: url(/images/side-bar-bg.gif) repeat-y left top;
    }

        .main-body .main-body .content-area {
            padding: 20px 20px 20px 180px;
        }

.registration-link {
    display: none;
    float: left;
    margin-top: 2px;
    margin-left: 10px;
    border: 1px solid #295C59;
    padding: 10px;
}

.top-button {
    float: right;
    cursor: pointer;
}

.details {
    float: left;
    padding-top: 0px;
    width: 100%;
}

/* designed view */
.designed-view-module, .designed-list-module, .designed-form-module {
    display: flex;
    flex-direction: column;
    margin-bottom: 20px;
    padding: 2px;
    background: #f7f8fa repeat-x 0 0;
}

    .designed-view-module h2, .designed-list-module h2, .designed-form-module h2 {
        height: 21px;
        border: solid 30px #f7f8fa;
        border-bottom: 1px solid #295C59;
        background: #f7f8fa no-repeat top right;
        color: #295C59;
        text-transform: uppercase;
        font-size: 16px;
        letter-spacing: 2px;
        padding: 7px 10px 10px 15px;
        width: 100%;
        max-width: 95%;
        overflow: hidden;
        text-overflow: ellipsis;
        white-space: nowrap;
    }

.contract-details h2 {
    height: 25px;
}

.designed-view-module.flat-top, .designed-list-module.flat-top, .designed-form-module.flat-top {
    padding-top: 0;
}

    .designed-view-module.flat-top, .designed-view-module.flat-top h2,
    .designed-list-module.flat-top, .designed-list-module.flat-top h2,
    .designed-form-module.flat-top, .designed-form-module.flat-top h2 {
        margin-top: 0;
        border-top: none;
        border-top-left-radius: 0;
        border-top-right-radius: 0;
    }

.designed-view-module .view-body {
    display: block;
    overflow: hidden;
    padding: 5px;
    font-size: 14px;
    margin-top: 10px;
    margin: 10px 10px;
    margin-bottom: 10px;
    height: auto;
    border: solid 30px #FFFFFF;
    background: #ffffff repeat-x 0 0;
    box-shadow: 0 2px 3px rgb(0 0 0 / 30%);
}

    .designed-view-module .view-body .item {
        margin: 0;
        padding: 5px 0;
    }

        .designed-view-module .view-body .item .label + .value {
            margin: 0;
        }

    .designed-view-module .view-body .col-buttons .item {
        margin: 0;
    }

    .designed-view-module .view-body .item .label {
        margin: 0;
        float: left;
        width: auto;
        text-align: right;
        margin-right: 20px;
        color: #666;
        font-size: 13px;
    }

    .designed-view-module .view-body .item .value {
        margin: 0;
        min-height: 17px;
        color: #295C59;
        font-weight: 700;
        overflow: hidden;
        text-overflow: ellipsis;
        white-space: nowrap;
    }

.designed-view-module .col, .designed-list-module .col {
    display: block;
    float: left;
}

.designed-list-module.three-cols .col {
}

.designed-view-module.three-cols .col-1 {
    width: 35%;
}

.designed-view-module.three-cols .col-2 {
    width: 55%;
}

.designed-view-module.three-cols .col-3, .designed-list-module.three-cols .col-3 {
    text-align: right;
    width: 5%;
}


.designed-view-module .buttons {
}

.designed-list-module .form {
    padding: 10px;
}

/* designed list */
.columns-filter {
    margin-left: 2%;
    margin-top: 1%;
}

.columns-filter-buttons {
    margin-left: 25%;
}

.designed-list-module {
}

    .designed-list-module h2 {
        background-color: #f7f8fa;
    }

    .designed-list-module div.list {
        margin-top: 3px;
        padding: 0px 10px 10px 0px;
    }

    .designed-list-module .buttons {
        display: flex;
        justify-content: space-evenly;
        padding: 0 7px 15px 0;
        text-align: center;
    }

    .designed-list-module div.search {
        display: flex;
        flex-direction: row;
        justify-content: center;
        margin: 0 10px;
        margin-bottom: 10px;
        margin-top: 15px;
        height: auto;
        border: solid 30px #FFFFFF;
        background: #ffffff repeat-x 0 0;
        box-shadow: 0 2px 3px rgba(0,0,0,0.3);
    }

        .designed-list-module div.search .input .multiselect-dropdown {
            padding: 3px 0;
            margin-top: 0;
        }

        .designed-list-module div.search .buttons {
            clear: both;
        }


.grid th[scope=row] {
    border-bottom: solid 1px #a5a5a5;
    text-transform: capitalize;
    box-shadow: 0 2px 0px #e2ecef;
    font-size: 16px;
    font-weight: 700;
    position: sticky;
    position: -webkit-sticky;
    top: 0;
    left:0;
    z-index: 1;
    background-color: #EEF0F2;
}

.grid tr {
    border-top: solid 1px #dbdfe4;
    height: 40px;
}

    .grid tr:hover {
        background-color: #EEF0F2;
    }

    .grid tr .header-row {
        background-color: transparent;
        overflow: auto;
        font-size: 13px;
        font-family: Roboto,system-ui,-apple-system,BlinkMacSystemFont,"Segoe UI",Roboto,Helvetica,Arial,sans-serif,"Apple Color Emoji","Segoe UI Emoji","Segoe UI Symbol";
        color: #4b4e52;
        color: inherit;
        font-weight: 700;
        background-color: #EEF0F2;
    }

.header-row {
    overflow: auto;
    font-size: 13px;
    font-family: Roboto,system-ui,-apple-system,BlinkMacSystemFont,"Segoe UI",Roboto,Helvetica,Arial,sans-serif,"Apple Color Emoji","Segoe UI Emoji","Segoe UI Symbol";
    color: #4b4e52;
    color: inherit;
    font-weight: 700;
    background-color: #EEF0F2;
}

/* designed form */
.designed-form-module {
}

    .designed-form-module .form {
        padding: 10px;
    }

    .designed-form-module .form-body {
        display: flex;
        flex-wrap:wrap;
    }

.designed-form-module .item-body {
    float: left;
    clear: both;
    width: 110%;
    margin-bottom: 15px;
}

    .designed-form-module .form .buttons {
        display: flex;
        justify-content: space-evenly;
    }


#form-body-ad-hoc {
    display: block;
    overflow: auto;
    border: solid 30px #FFFFFF;
    background: #ffffff repeat-x 0 0;
    box-shadow: 0 2px 3px rgb(0 0 0 / 30%);
}

/*============================== Client invoicing module ==========================*/
.client-invoicing-module .form-clientinvoicecharge .form {
    padding: 0;
}

.inline-help {
    color: grey;
    font-style: italic;
    font-size: 10px;
}

h3.box-header {
    padding: 10px;
    padding-left: 10px;
    color: #295C59;
    text-transform: uppercase;
    font-weight: bold;
    font-size: 16pt;
    width: 100%;
    border-left: 3px solid #295C59;
}

.btn-wrapper {
    padding: 2px;
    display: inline-block;
}

input[type="submit"], input[type="button"] {
    background-color: #EA4666;
    color: #ffffff;
    border: 1px solid lightgrey;
    background-image: none;
    text-shadow: none;
    margin: auto auto 0px auto;
    font-size: 13px;
    line-height: 18px;
    text-align: center;
    vertical-align: middle;
    cursor: pointer;
    padding: 8px 16px;
    background-clip: padding-box;
    -webkit-border-radius: 2px;
    box-shadow: rgba(0,0,0,0.117647) 0 1px 6px, rgba(0,0,0,0.117647) 0 1px 4px;
    text-transform: uppercase;
}

input:hover[type="submit"], input:hover[type="button"] {
    background-color: #fc0535;
    color: #ffffff;
}

.grey-btn-wrapper {
    color: #122dff;
    display: inline-block;
    padding: 2px;
    margin-bottom: 5px;
}

input[type="submit"].grey-btn, input[type="button"].grey-btn {
    padding: 8px 16px;
    border: none;
    font-family: Helvetica;
    font-weight: bold;
    background-color: #919191;
    border-color: #d8dde6;
}

.white-btn-wrapper {
    border-radius: 50px;
    color: #295C59;
    display: inline-block;
    padding: 2px;
    margin-bottom: 0px;
}

input[type="submit"].white-btn, input[type="button"].white-btn {
    background: #fff; /* Old browsers */
    padding: 5px 15px;
    border: none;
    font-family: Helvetica;
    font-weight: bold;
    background-color: #EA4666;
    color: #fff;
    background-image: none;
}

.list-search-warning-wrapper {
    text-align: center;
    display: block;
    font-size: 12pt;
}

#exportButton {
    margin-top: -10px;
}


#Main_ctl00_fuLogo, #Main_ctl00_fuCSS, #Main_ctl00_lstMedium {
    margin-top: 15px;
}

#searchModal {
    justify-content: center;
}

#viewBodyContractDetails {
    display: flex;
    background: none;
    box-shadow: none;
    border: none;
}

#Main_ctl00_btnAddFiles {
    margin-top: 20px;
}


#formBodyAdd {
    display: flex;
    flex-direction: column;
    flex-wrap: wrap;
    overflow: hidden;
}

#formBodyDetails {
    display: flex;
    flex-direction: column;
    flex-wrap: wrap;
    overflow: hidden;
    align-content: space-around;
}

#Main_ctl00_groupClient, #Main_ctl00_groupGroupBranding, #Main_ctl00_groupEmail, #Main_ctl00_groupLetter, #Main_ctl00_groupSMS {
    padding-left: 10px;
}

#inputMessage {
    width: 29rem;
    margin-left: 90px;
}

#Main_ctl00_searchWithColumns, #Main_ctl00_seach2Columns {
    display: block;
}

#boxWithHeader2Columns, #boxWithHeader2Columns2 {
    width: 40%;
    margin-top: 0px;
    margin-bottom: 0px;
}

#ctl03_ctl03_messageContainer {
    width: 200px;
    height: 45px;
    background: #fff;
    overflow: auto;
    border: solid 1px #50a6c5;
    text-align: center;
}

#Main_ctl00_mdlChargeList_gridList {
    width: 100%;
}

#Main_ctl00_mdlPerTranscationCharges_gridList {
    width: 100%;
}

#Main_ctl00_mdlPercentagePerTranscationCharges_gridList {
    width: 100%;
}

#Main_ctl00_mdlBACsCharges_gridList {
    width: 100%;
}

#Main_ctl00_mdlCancellationCharges_gridList {
    width: 100%;
}

#Main_ctl00_mdlMiscellaneousCharges_gridList {
    width: 100%;
}
